<%@page contentType="text/html"
import="org.apache.axis.client.*, javax.xml.namespace.QName" %>
<%@page pageEncoding="UTF-8"%>
<%
    String title="H-DOSE expander init page";
    String ls_result1 ="";
    String ls_result2="";
    String ls_result3="";
    String ls_result4="";
    String endpoint = "http://localhost:8080/axis/ExpanderWS.jws";
    Service service = new Service();
    Call call= (Call) service.createCall();
    call.setTargetEndpointAddress( new java.net.URL(endpoint));
    
    //**********************************************
    //**                                          **
    //**          Test the Expander Status        **
    //**                                          **
    //**********************************************
    
    QName op1 =new QName("http://localhost:8080/","isReady"); 
    call.setOperationName(op1);
    Boolean ret = (Boolean) call.invoke(new Object[] {});
    ls_result1=""+ret.booleanValue();
    
    //**********************************************
    //**                                          **
    //**          Test the init() procedure       **
    //**                                          **
    //**********************************************
    
    QName op =new QName("http://localhost:8080/","initService"); 
    call.setOperationName(op);
    Object params[] = new Object[3];
    params[0]= new Double(0.125);
    params[1]= "http://localhost:8080/axis/ontology.owl";
    params[2]= new Boolean(true);
    Boolean ret1 = (Boolean) call.invoke(params);
    if(ret1.booleanValue()) ls_result2 = "OK";
    else ls_result2 = "ERROR: please check the log file";
   
    //**********************************************
    //**                                          **
    //**      Test the init(x,x,x) procedure      **
    //**                                          **
    //**********************************************
   
    op = new QName("http://localhost:8080/","initService");
    call.setOperationName(op);
    //Object [] params = new Object[3];
    params[0] = new Double(0.125);
    params[1] = new String("http://localhost:8080/axis/ontology.owl");
    params[2] = new Boolean(true);
    Boolean ret2 = (Boolean) call.invoke(params);
    if(ret2.booleanValue()) ls_result3 = "OK";
    else ls_result3 = "ERROR: please check the log file";
    
    //**********************************************
    //**                                          **
    //**          Test the Expander Status        **
    //**                                          **
    //**********************************************
    
    op =new QName("http://localhost:8080/","isReady"); 
    call.setOperationName(op);
    Boolean ret3 = (Boolean) call.invoke(new Object[] {});
    ls_result4=""+ret3.booleanValue();
%>
<jsp:include page="topEnvelope.html"/>

		<h1 class="center"> Spectra Expander Test Page</h1>
		<p> This page is meant to init the Expander Web Service of the H-DOSE platform, in order to
		allow Expansion tests by calls to the <a href="TestExpander.jsp" title="link to test page for the expander service">TestExpander.jsp </a> page.
		In the sections below results for several init methods are provided, together with information about
		the service status.</p>
		<p> If you wish to perform calls to the Expader web service directly please have a look at the 
		<a href="ExpanderWS.jws?wsdl"  title="link to the Expander WSDL description">WSDL file</a></p>
		<hr/>
		<div class="block">
			<p>Expander Web Service status check:</p>
			<p><span class="console"><span class="Green">initial status: </span><span class="Red"><%= ls_result1%></span></span></p>
		
			<p>Expander initialization (internal):</p>
			<p><span class="console"><span class="Green">init(internal): </span><span class="Red"><%= ls_result2%></span></span></p>
		
			<p>Expander initialization (external):</p>
			<p><span class="console"><span class="Green">init(external): </span><span class="Red"><%= ls_result3%></span></span></p>
		
			<p>Expander Web Service status check:</p>
			<p><span class="console"><span class="Green">final status: </span><span class="Red"><%= ls_result4%></span></span></p>
		</div>
	
<jsp:include page="bottomEnvelope.html"/>