<%@page contentType="text/html"
import="org.apache.axis.client.*, javax.xml.namespace.QName, java.util.*, it.polito.elite.doseWS.include.*, it.polito.elite.doseWS.wrappers.*" %>
<%@page pageEncoding="UTF-8"%>
<%
	String ls_result1 ="";
	String ls_result2="";
	String endpoint = "http://localhost:8080/axis/ExpanderWS.jws";
	Service service = new Service();
	Call call= (Call) service.createCall();
	call.setTargetEndpointAddress( new java.net.URL(endpoint));
	QName op =new QName("http://localhost:8080/","testExpanderWS"); 
	call.setOperationName(op);
	String ret = (String) call.invoke(new Object[] {});
	ls_result2 = new String(ret);
	Spectrum ghost = (Spectrum)SpectrumImpl.deSerialize(ret);
	ls_result1 = (ghost.getConcepts()).toString();
	    
	//testing expandSpectrum
	//Creates a conceptual spectrum for the test using all concepts
	//that are roots for the hierarchy relationship
		
	//Creates an empty series of concepts
	Hashtable testVector = new Hashtable();
	//Accesses ontology
	Ontology onto = new OntologyImpl();
	//Retrieves all roots of the hierarchy relationships in the ontology
	Set roots = onto.getRoots();
	//Gets the iterator on the roots
	Iterator iter = roots.iterator();
	//composes the concepts for the original spectrum
	while(iter.hasNext())
		testVector.put((String)iter.next(),new Double(1.0));
			
	String ontoTopics = testVector.toString();
	//build the test spectrum
	Spectrum testSpectrum = new SpectrumImpl("uri1","Xpath1","Dario","junit",testVector);
	String serializedTestSpectrum = ((SpectrumImpl)testSpectrum).serialize();
	QName op2 =new QName("http://localhost:8080/","expandResourceSpectrum"); 
	call.setOperationName(op2);
	Object params[] = new Object[1];
	params[0]= (Object)serializedTestSpectrum;
	ret = (String) call.invoke(params);
	Spectrum externalTestResult = (Spectrum)SpectrumImpl.deSerialize(ret);
	String exResult = (externalTestResult.getConcepts()).toString();
    %>
<jsp:include page="topEnvelope.html"/>

	<h1 class="center"> Spectra Expander Test Page</h1>
	<p> This page is meant to test the Expansion methods of the Expander Web Service of the H-DOSE platform.
	In the sections below results for several expansion methods are provided, together with information about
	the service status.</p>
	<p> If you wish to perform calls to the Expader web service directly please have a look at the 
	<a href="ExpanderWS.jws?wsdl"  title="link to the Expander WSDL description">WSDL file</a></p>
		<hr/>
		<div class="block">
			<p>Expansion on internal test spectrum:</p>
			<p><span class="console"><span class="Green">Expanded Spectrum (internal): </span><br/><span class="Red"><%= ls_result1%></span></span></p>
		
			<p>Expansion on external test spectrum:</p>
			<p><span class="console"><span class="Green">Expanded Spectrum (external): </span><br/><span class="Red"><%= exResult%></span></span></p>
		
		</div>
<jsp:include page="bottomEnvelope.html"/>