<%@page import="java.io.*"%>
<%@page import="java.util.*"%>
<%@page import="org.w3c.dom.*"%>
<%@page import="javax.xml.parsers.*"%>
<%@page import="org.apache.axis.client.*"%>
<%@page import="javax.xml.rpc.ParameterMode"%>
<%@page import="org.apache.axis.encoding.XMLType"%>
<%@page import="org.apache.axis.utils.Options"%>

<%
File f=new File("agencyConf.xml");
String stringHost="",stringAnnoEP="",stringExpanderEP="",stringSearchEP="",stringDelay="";
String stringStopWords="",stringOnto="",stringDBuri="",stringDBusr="",stringDBpwd="", stringDBdrv="";
HashSet containersEP=new HashSet();
if(f.exists()){
		try {

	            Document doc;
	            DocumentBuilderFactory factory = DocumentBuilderFactory.newInstance();
	            DocumentBuilder builder = factory.newDocumentBuilder();
	            doc = builder.parse(f);
	            Element elemRoot = doc.getDocumentElement();

			//Globals
	            Element elem= (Element) elemRoot.getElementsByTagName("Host").item(0);
	            stringHost = ((Text)elem.getFirstChild()).getData();

                    elem= (Element) elemRoot.getElementsByTagName("AnnotationEP").item(0);
	            stringAnnoEP = ((Text)elem.getFirstChild()).getData();
                    elem= (Element) elemRoot.getElementsByTagName("ExpanderEP").item(0);
	            stringExpanderEP = ((Text)elem.getFirstChild()).getData();
                    elem= (Element) elemRoot.getElementsByTagName("SearchEP").item(0);
	            stringSearchEP = ((Text)elem.getFirstChild()).getData();
                    elem= (Element) elemRoot.getElementsByTagName("Delay").item(0);
	            stringDelay = ((Text)elem.getFirstChild()).getData();

			//Data sources
                    elem= (Element) elemRoot.getElementsByTagName("StopWords").item(0);
	            stringStopWords = ((Text)elem.getFirstChild()).getData();
                    elem= (Element) elemRoot.getElementsByTagName("Ontology").item(0);
	            stringOnto = ((Text)elem.getFirstChild()).getData();
                    elem= (Element) elemRoot.getElementsByTagName("dbURI").item(0);
	            stringDBuri = ((Text)elem.getFirstChild()).getData();
                    elem= (Element) elemRoot.getElementsByTagName("dbUSR").item(0);
	            stringDBusr = ((Text)elem.getFirstChild()).getData();
                    elem= (Element) elemRoot.getElementsByTagName("dbPWD").item(0);
	            stringDBpwd = ((Text)elem.getFirstChild()).getData();
                    elem= (Element) elemRoot.getElementsByTagName("dbDRV").item(0);
	            stringDBdrv = ((Text)elem.getFirstChild()).getData();

			//Containers
                    NodeList containers = elemRoot.getElementsByTagName("Container");
	            String s;
                    for(int i=0;i<containers.getLength();i++){
	                elem = (Element) containers.item(i);
	                s = ((Text)elem.getFirstChild()).getData();
					containersEP.add(s);
            	    }
		}catch(Exception exc){out.println(exc.toString());}
	}//end if pageContext.forward("clusterFailure.jsp?errorMsg="+exc.getMessage());
%>

<%//topenvelop modified %>
<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="it">
<head>
	<title>H-DOSE putting semantics into play</title>
	<link rel="stylesheet" type="text/css" href="DOSEstyle.css" />
	<script language="javascript" src="js/doseAgency.js" type="text/javascript"></script>
</head>
<body>
	<div class="header">
	<span class="title">H-DOSE putting semantics into play</span><br/>
	<span class="subTitle">when the game gets tough the tough start to play</span>
	</div>
	<div class="navBlock1">
	<p class="Green">Authors</p>
		<ul>
			<li>Dario Bonino</li>
			<li>Alessio Bosca</li>
			<li>Federico Pescarmona</li>
		</ul>
		<p>with contributions from:<br/>
		<span class="italic">Michele Debandi</span>
		for DB stuff.</p>
	<hr/>
	<p class="Green">e-m@il contacts</p>
		<ul>
			<li><a href="mailto:dario.bonino@polito.it">dario.bonino@polito.it</a></li>
			<li><a href="mailto:alessio.bosca@polito.it">alessio.bosca@polito.it</a></li>
			<li><a href="mailto:alessio.bosca@polito.it">federico.pescarmona@polito.it</a></li>
		</ul>
	</div>
	<div class="centerBlock">

<form method="post" action="DoseAgencyResult.jsp">
<%
boolean isStarted=false;

try {
      Boolean ret;
      Service  service = new Service();
      Call call = (Call) service.createCall();

      call.setTargetEndpointAddress(new java.net.URL("http://localhost:8080/axis/DoseAgencyWS.jws"));
      ret = (Boolean) call.invoke("getStatus", null);
      isStarted=ret.booleanValue();
}catch(Exception exc){out.println(exc.toString());}

if(isStarted){
	out.println("<h1>The service is currently running</h1>");
}
else{
	out.println("<h1>The service is currently NOT running</h1>");
}
%>
<h2>Global Settings</h2>
      <table id="Globals">
        <tr><td>Central Agency host</td></tr>
       <tr><td><input  type="text" name="Host" size="60" value='<%out.println(stringHost);%>'/></td></tr>
		 <tr><td>AnnotationWS endpoint</td></tr>
       <tr><td><input  type="text" name="AnnotationEP" size="60" value='<%out.println(stringAnnoEP);%>'/></td></tr>
		<tr><td>ExpanderWS endpoint</td></tr>
       <tr><td><input  type="text" name="ExpanderEP" size="60" value='<%out.println(stringExpanderEP);%>'/></td></tr>
	   <tr><td>SearchWS endpoint</td></tr>
       <tr><td><input  type="text" name="SearchEP" size="60" value='<%out.println(stringSearchEP);%>'/></td></tr>
        <tr><td>Autonomic delay (minutes)</td></tr>
       <tr><td><input  type="text" name="Delay" size="60" value='<%out.println(stringDelay);%>'/></td></tr>
      </table>

<h2>Data Sources</h2>
      <table id="DataSources">
	  <tr><td>StopWords file URL</td></tr>
       <tr><td><input  type="text" name="StopWords" size="60" value='<%out.println(stringStopWords);%>'/></td></tr>
		<tr><td>Ontology file URL</td></tr>
       <tr><td><input  type="text" name="Ontology" size="60" value='<%out.println(stringOnto);%>'/></td></tr>
        <tr><td>DB uri</td></tr>
       <tr><td><input  type="text" name="dbURI" size="60" value='<%out.println(stringDBuri);%>'/></td></tr>
       <tr><td>DB user</td></tr>
       <tr><td><input  type="text" name="dbUSR" size="60" value='<%out.println(stringDBusr);%>'/></td></tr>
		<tr><td>DB password</td></tr>
       <tr><td><input  type="text" name="dbPWD" size="60" value='<%out.println(stringDBpwd);%>'/></td></tr>
	   <tr><td>DB driver</td></tr>
       <tr><td><input  type="text" name="dbDRV" size="60" value='<%out.println(stringDBdrv);%>'/></td></tr>
      </table>

<h2>Container Providers</h2>
      <table id="ContainerProviders">
        <tr>
          <td>EndPoint</td>
        </tr>
<%
if(containersEP.size()>0)
{
	String[] containers=new String[1];
	containers=(String[])containersEP.toArray(containers);
	for(int i=0;i<containers.length;i++){
		out.println("<tr><td><input  type=\"text\" name=\"Container"+i+"\" value=\""+
			containers[i]+"\" size=\"60\"/></td></tr>");
	}
}
else{
	out.println("<tr><td><input  type=\"text\" name=\"Container0\" size=\"60\"/></td></tr>");
}
%>
		<tr><td>
		  <input  type="button" value="AddEndPoint" onclick="addRow();"/>
		  <input  type="button" value="RemoveEndPoint" onclick="removeRow();"/>
		</td></tr>
      </table>

<h2>Save and Start</h2>
<blockquote>
<%if(!isStarted){
%>
	<input type="hidden" name="action" value="start"/>
	<input type="submit" value="Start Agency"/>
<%
}
else{
%>
	<input type="hidden" name="action" value="stop"/>
	<input type="submit" value="Stop Agency"/>
<%
}
%>
</blockquote>
</form>

<jsp:include page="bottomEnvelope.html"/>