<%@page contentType="text/html"
import="org.apache.axis.client.*, javax.xml.namespace.QName, java.util.*, it.polito.elite.doseWS.include.*, it.polito.elite.doseWS.wrappers.*" %>
<%@page pageEncoding="UTF-8"%>
<%
	String ls_result1 ="";
	String ls_result2="";
	String endpoint = "http://localhost:8080/axis/AnnoRepositoryWS.jws";
	Service service = new Service();
	Call call= (Call) service.createCall();
	call.setTargetEndpointAddress( new java.net.URL(endpoint));
	
		//**********************************************
    	//**                                          **
    	//**          Test addAnnotation()            **
    	//**                                          **
    	//**********************************************
	
	QName op =new QName("http://localhost:8080/","addAnnotation"); 
	call.setOperationName(op);
	Object params[] = new Object[6];
	params[0]= (Object)new String("http://www.prova2.it");
	params[1]= (Object)new String("/html/body");
	params[2]= (Object)new String("http://a.com/ontology#handicap");
	params[3]= (Object)new Double(1.0);
	params[4]= (Object)new String("default");
	params[5]= (Object)new String("default");
	Boolean ret = (Boolean) call.invoke(params);
	
		//**********************************************
    	//**                                          **
    	//**          Test addAnnotations             **
    	//**                                          **
    	//**********************************************
	
	//operation2: test the addAnnotations method
	op = new QName("http://localhost:8080/","addAnnotations");
	call.setOperationName(op);
	//setting params
	params[0]= (Object)new String("http://www.prova.it");
	params[1]= (Object)new String("/html/body");
	String topics[] = new String[2];
	topics[0] = "http://a.com/ontology#ente";
	topics[1] = "http://a.com/ontology#servizio";
	params[2] = (Object)topics;
	double weights[] = new double[2];
	weights[0] = 1.9;
	weights[1] = 0.45;
	params[3] = (Object)weights;
	params[4]= (Object)new String("default");
	params[5]= (Object)new String("default");
	Boolean ret2 = (Boolean) call.invoke(params);
	
		//**********************************************
    	//**                                          **
    	//**          Test removeAnnotation           **
    	//**                                          **
    	//**********************************************
	
	//operation3: test the remove annotation method
	op = new QName("http://localhost:8080/","remove");
	call.setOperationName(op);
	//setting params
	params = new Object[3];
	params[0]=new String("http://www.prova2.it");
	params[1]=new String("/html/body");
	params[2]=new String("default");
	Boolean removeResult = (Boolean) call.invoke(params);
	
		//**********************************************
    	//**                                          **
    	//**          Test searchTopic                **
    	//**                                          **
    	//**********************************************
	
	//operation3: test the SearchByTopic method
	op = new QName("http://localhost:8080/","searchByTopic");
	call.setOperationName(op);
	//setting params
	params = new Object[4];
	String searchTopics[] = new String[1];
	searchTopics[0]="http://a.com/ontology#ente";
	params[0]=(Object) searchTopics;
	String searchAuthors[] = new String[1];
	searchAuthors[0]="default";
	params[1]= (Object) searchAuthors;
	params[2]= new String("default");
	params[3]= new Double (0.5);
	String searchResult[]=(String[])call.invoke(params);
	
		//**********************************************
    	//**                                          **
    	//**          Test reverseSearch              **
    	//**                                          **
    	//**********************************************
    	
    	//operation3: test the reverseSearch method
	op = new QName("http://localhost:8080/","reverseSearch");
	call.setOperationName(op);
	//setting params
	params = new Object[2];
	params[0] = new String("http://www.prova.it");
	params[1] = new String("/html/body");
	String revSearchResult[]=(String[])call.invoke(params);
	
	//**********************************************
    	//**                                          **
    	//**          Test getSpectrum                **
    	//**                                          **
    	//**********************************************
    	
    	//operation3: test the reverseSearch method
	op = new QName("http://localhost:8080/","getSpectrum");
	call.setOperationName(op);
	//setting params
	params = new Object[2];
	params[0] = new String("http://www.prova.it");
	params[1] = new String("/html/body");
	String spectResult = (String)call.invoke(params);
    %>
<jsp:include page="topEnvelope.html" />
	<h1 class="center">AnnoRepository test page</h1>
	<p> This page is meant to test the Annotation Repository Web Service of the H-DOSE platform, in order to
	allow annotation storage and retrieval.
	 In the sections below results for several test methods are provided, together with information about
	the service status.</p>
	<p> If you wish to perform calls to the Expader web service directly please have a look at the 
	<a href="AnnoRepositoryWS.jws?wsdl"  title="link to the AnnoRepository WSDL description">WSDL file</a></p>
	<hr/>
	<div class="block">
	<p>addAnnotation() test:</p>
	<p class="console"> <span class="Green">Testing store service:</span><br/>
	<span class="Red"><%= ret.booleanValue()%></span></p>
	<p>addAnnotations() test:</p>
	<p class="console"> <span class="Green">Testing store service:</span><br/>
	<span class="Red"><%= ret2.booleanValue()%></span></p>
	<p>remove() test:</p>
	<p class="console"> <span class="Green">Testing remove service:</span><br/>
	<span class="Red"><%= removeResult.booleanValue()%></span></p>
	<p>search() test:</p>
	<p class="console"> <span class="Green">Testing search service:</span><br/>
	<span class="Red"><%
	for(int i=0; i<searchResult.length; i++)
	{%>
		<%=i+")"+(SpectrumImpl.deSerialize(searchResult[i])).getConcepts().toString()+"<br/>"%>
	<%
	}
	%></span>
	<p>reverse search() test:</p>
	<p class="console"> <span class="Green">Testing reverse search service:</span><br/>
	<span class="Red"><%
	for(int i=0; i<revSearchResult.length; i++)
	{%>
		<%=i+")"+(SpectrumImpl.deSerialize(revSearchResult[i])).getConcepts().toString()+"<br/>"%>
	<%
	}
	%></span>
	</p>
	<p>test get Spectrum:</p>
	<p class="console"> <span class="Green">Testing getSpectrum:</span><br/>
	<span class="Red"><%= (SpectrumImpl.deSerialize(spectResult)).getConcepts().toString() %></span></p>
	</div>
<jsp:include page="bottomEnvelope.html" />