<%@page contentType="text/html"
import="org.apache.axis.client.*, javax.xml.namespace.QName, java.util.*, it.polito.elite.doseWS.include.*, it.polito.elite.doseWS.wrappers.*" %>
<%@page pageEncoding="UTF-8"%>
<%
	//declaring the search engine endpoint
	String endpoint = "http://localhost:8080/axis/SearchEngineWS.jws";
	
	//creating a new service
	Service service = new Service();
	
	//preparing the call
	Call call= (Call) service.createCall();
	
	//setting the call endpoint
	call.setTargetEndpointAddress( new java.net.URL(endpoint));
	
	//setting the operation name
	QName op =new QName("http://localhost:8080/","search"); 
	call.setOperationName(op);
	
	//defining call parameters (test data)
	Object params[] = new Object[3];
	String topics[] = new String[3];
	topics[0] = "http://a.com/ontology#disabilita";
	topics[1] = "http://a.com/ontology#ente";
	topics[2] = "http://a.com/ontology#servizio";
	Double weights[] = new Double[3];
	weights[0]= new Double(1.0);
	weights[1]= new Double(0.0);
	weights[2]= new Double(0.0);
	
	params[0] = (Object) topics;
	params[1] = (Object) weights;
	params[2] = (Object) new Double(0.5);
	//invoking the service
	String ret[] = (String[]) call.invoke(params);

%>
<jsp:include page="topEnvelope.html"/>

	<h1 class="center"> Search Engine Test Page</h1>
	<p> This page is meant to test the search methods of the Search Engine Web Service of the H-DOSE platform.
	In the sections below results for several search methods are provided, together with information about
	the service status.</p>
	<p> If you wish to perform calls to the Search Engine web service directly please have a look at the 
	<a href="SearchEngineWS.jws?wsdl"  title="link to the SearchEngine WSDL description">WSDL file</a></p>
		<hr/>
		<div class="block">
			<p>search by concept test:</p>
			<p><span class="console"><span class="Green">searchByTopic result: </span><br/>
			<span class="Red">
			<%for (int i=0; i<ret.length; i++)
				out.println(ret[i]);%>
			</span></span></p>

		</div>
<jsp:include page="bottomEnvelope.html"/>