<%@page contentType="text/html" %>
<%@page pageEncoding="UTF-8"%>
<%@page import="it.polito.elite.doseWS.wrappers.*"
	import="com.hp.hpl.jena.ontology.*"
	import="com.hp.hpl.jena.vocabulary.*"
	import="com.hp.hpl.jena.rdf.model.*"
	import="com.hp.hpl.jena.util.iterator.ExtendedIterator"
	import="java.util.*,org.apache.axis.client.*,javax.xml.namespace.QName, java.util.*, it.polito.elite.doseWS.include.*, it.polito.elite.doseWS.wrappers.*" %>
<jsp:useBean id="onto" scope="application" class="it.polito.elite.doseWS.wrappers.OntologyImpl"/>


<%!	String language; %>	
<%	
	if(request.getParameter("reset")!=null) {
		session.invalidate();
		session = request.getSession(true);
	}

	language = (String) session.getAttribute("language");
	if (language == null) 
		language = "it";
	session.setAttribute("language",language);
	
	String searchTopic = request.getParameter("search");
	//System.out.println(searchTopic);
	String ret[]=null;
	if(searchTopic != null)
	{
		//call the search web service
		//declaring the search engine endpoint
		String endpoint = "http://localhost:8080/axis/SearchEngineWS.jws";
	
		//creating a new service
		Service service = new Service();
		//System.out.println(service.toString());
	
		//preparing the call
		Call call= (Call) service.createCall();
	
		//setting the call endpoint
		call.setTargetEndpointAddress( new java.net.URL(endpoint));
	
		//setting the operation name
		QName op =new QName("http://localhost:8080/","search"); 
		call.setOperationName(op);
	
		//defining call parameters (test data)
		Object params[] = new Object[3];
		String topics[] = new String[1];
		topics[0] = substToUri(searchTopic);
		Double weights[] = new Double[1];
		weights[0]= new Double(1.0);
		
	
		params[0] = (Object) topics;
		params[1] = (Object) weights;
		params[2] = (Object) new Double(0.5);
	
		//invoking the service
		ret = (String[]) call.invoke(params);
		//System.out.println(ret);
	}
	
	if(request.getParameter("reset")!=null) {
		//classesStr = "";
	}
	
	String uri, title, def;
	Iterator sons;
	Iterator roots = onto.getRoots().iterator();
%>
<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
   "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="it">
<head>
<script type="text/javascript" src="js/safeAddOnload.js"></script>
<script type="text/javascript" src="js/xc.js"></script>

<script type="text/javascript">
<!--
function initialize() {
	SafeAddOnload(xcSet('root', 'xc'));
}
--></script>
<title>H-DOSE putting semantics into play</title>
<link rel="stylesheet" type="text/css" href="style.css" />
<link rel="stylesheet" type="text/css" href="DOSEstyle.css" />
</head>
<body onload="initialize();">
<div class="header">
<span class="title">H-DOSE putting semantics into play</span><br/>
<span class="subTitle">when the game gets tough the tough start to play</span>
</div>
<div class="navBlock1">
<p class="Green">Authors</p>
	<ul>
		<li>Dario Bonino</li>
		<li>Alessio Bosca</li>
		<li>Federico Pescarmona</li>
	</ul>
	<p>with contributions from:<br/>
	<span class="italic">Michele Debandi</span>
	for DB stuff.</p>
<hr/>
<p class="Green">e-m@il contacts</p>
	<ul>
		<li><a href="mailto:dario.bonino@polito.it">dario.bonino@polito.it</a></li>
		<li><a href="mailto:alessio.bosca@polito.it">alessio.bosca@polito.it</a></li>
		<li><a href="mailto:alessio.bosca@polito.it">federico.pescarmona@polito.it</a></li>
	</ul>
</div>
<div class="centerBlock">

<div id="dhtmltooltip"></div>
<script type="text/javascript" src="js/tooltip.js"></script>
<h1>Search by category</h1>
<ul id="root">
<% 
	while(roots.hasNext()) {
		uri = roots.next().toString();
		title = onto.getTitle(uri,language);
		def = onto.getDefinition(uri,language);
		out.print(printClass(uri, onto, true));
		out.print(printSons(uri, onto));
	}
%>
</ul>
<%
if((searchTopic!=null)&&(ret!=null))
{
%>
<h1>Relevant Documents</h1>
<p>
<%for (int i=0; i<ret.length; i++)
				out.println("<a href=\""+ret[i]+"\">"+ret[i]+"</a>");
}%>
</p>
<p><a href="ontoNav2.jsp?reset=1">Reset session</a></p>
</div>
	<div class="navBlock2">
		<p>Last modified: 16/09/2004</p>
		<p>
      			<a href="http://validator.w3.org/check?uri=referer"><img
          		src="http://www.w3.org/Icons/valid-xhtml10"
          		alt="Valid XHTML 1.0!" style="border:0;width:88px;height:31px"/></a>
 			<a href="http://jigsaw.w3.org/css-validator/">
  			<img style="border:0;width:88px;height:31px"
       			src="http://jigsaw.w3.org/css-validator/images/vcss" 
       			alt="Valid CSS!"/>
 			</a>
 			<a href="http://www.CynthiaSays.com/org/cynthiatested.htm"
 			title="Tested at www.cynthiasays.org">
 			<img style="border:0;width:88px;height:31px" 
 			src="http://www.CynthiaSays.com/images/Ctested.gif" 
 			alt="Cynthia Tested!"  /></a>

 			<a href="http://www.w3.org/WAI/WCAG1AAA-Conformance"
      			title="Explanation of Level AAA Conformance">
  			<img style="border:0;width:88px;height:31px"
         		src="http://www.w3.org/WAI/wcag1AAA"
          		alt="Level A conformance icon, 
          		W3C-WAI Web Content Accessibility Guidelines 1.0" /></a>
			</p>	
	</div>
</body>
</html>

<%!	private String printClass(String uri, OntologyImpl onto) {
		return printClass(uri, onto, false);
	}
	
	private String printClass(String uri, OntologyImpl onto, boolean open) {
		String title, def, li;
		if (open==true) li = "<li class=\"open\">";
		else li = "<li>";
		title = onto.getTitle(uri,language);
		def = onto.getDefinition(uri,language);
		return li+"<a href=\"ontoNav2.jsp?search=" + substFromUri(uri) + "\" title=\""+ title + "\" onMouseover=\"ddrivetip('" + def + "','');\"\n onMouseout=\"hideddrivetip()\">" + title + "</a>\n";
	}
	
	private String printSons(String uri, OntologyImpl onto) {
		String str = "";
		String title, def;
		title = onto.getTitle(uri,language);
		Iterator sons = onto.getSubClasses(uri);
		if(sons.hasNext()) {
			str += "<ul id=\""+ uri +"\" title=\""+ title +"\">";
			while(sons.hasNext()) {
				uri = sons.next().toString();
				title = onto.getTitle(uri,language);
				def = onto.getDefinition(uri,language);
				str += printClass(uri, onto);
				str += printSons(uri,onto);
			}
			str += "</ul>";
		}
		return str;		
	}

	private String substFromUri(String uri) {
		return uri.replace('#','|');
	}
	
	
	private String substToUri(String uri) {
		return uri.replace('|','#');
	}

%>